# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-prompt

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 4
Summary:        Sphinx directive to add unselectable prompt
Group:          Development/Python
License:        BSD
URL:            http://github.com/sbrunner/sphinx-prompt
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Sphinx directive to add unselectable prompt.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pygments)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
Sphinx directive to add unselectable prompt.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/sphinx_prompt-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1532729
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.1.0-3.mga8
+ Revision: 1442923
- rebuild for python-3.8

* Sat Jul 20 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1423113
- drop python2 support

* Sun Apr 21 2019 wally <wally> 1.1.0-1.mga7
+ Revision: 1394406
- imported package python-sphinx-prompt

